package com.diagbot.util;

import com.diagbot.dto.RespDTO;
import com.diagbot.exception.CommonErrorCode;

/**
 * @Description: 结果验证工具类
 * @author: gaodm
 * @time: 2019/3/12 18:25
 */
public class RespDTOUtil {

    /**
     * 远程调度是否成功
     * @param respDTO 返回结果
     * @param <T> 泛型
     * @return 是否成功
     */
    public static <T> boolean respIsOK(RespDTO<T> respDTO){
        if (respDTO == null
                || !CommonErrorCode.OK.getCode().equals(respDTO.code)) {
            return false;
        }
        return true;
    }


    /**
     * 远程调度是否不成功
     * @param respDTO 返回结果
     * @param <T> 泛型
     * @return 是否成功
     */
    public static <T> boolean respIsNG(RespDTO<T> respDTO){
        if (respDTO == null
                || !CommonErrorCode.OK.getCode().equals(respDTO.code)) {
            return true;
        }
        return false;
    }
}
